unit MasterDetail;

interface

uses
  Classes, SysUtils, IWAppForm, IWApplication, IWTypes, IWWebGrid,
  IWDBAdvWebGrid, DB, DBTables, IWDBStdCtrls, Controls, IWBaseControl,
  IWControl, IWCompLabel, LeftFrame, Forms, TopFrame, IWVCLBaseControl,
  IWBaseHTMLControl, ADODB;

type
  TformMasterDetail = class(TIWAppForm)
    IWLabel1: TIWLabel;
    IWDBNavigator1: TIWDBNavigator;
    IWDBNavigator2: TIWDBNavigator;
    DataSource1: TDataSource;
    DataSource2: TDataSource;
    TIWDBAdvWebGrid1: TTIWDBAdvWebGrid;
    TIWDBAdvWebGrid2: TTIWDBAdvWebGrid;
    FrameTopFrame1: TFrameTopFrame;
    FrameLeftFrame1: TFrameLeftFrame;
    ADOConnection1: TADOConnection;
    ADOQuery1: TADOQuery;
    ADOQuery2: TADOQuery;
    procedure IWAppFormCreate(Sender: TObject);
  public
  end;

implementation

{$R *.dfm}

uses
  ServerController;


procedure TformMasterDetail.IWAppFormCreate(Sender: TObject);
begin
  ADOConnection1.ConnectionString :=
    'Provider=Microsoft.Jet.OLEDB.4.0;Password="";Persist Security Info=True;Data Source= ' +
  WebApplication.ApplicationPath + 'demos.mdb';
  DataSource1.DataSet.Active := true;
  DataSource2.DataSet.Active := true;
end;

initialization
  TformMasterDetail.SetAsMainForm



end.
